# printf_conversion Struct Reference

Conversion data for vprintf(). More...

## Data Fields
int | width
int | precision
char | length
char | spec
char | pad_char
union {
long d
unsigned long u
double f
const char * s
void * p
int * n
} | arg

## Detailed Description

Conversion data for vprintf().

Definition at line 79 of file console.c.

## Field Documentation

union { ... } printf_conversion::arg

Conversion argument extracted from ap.

Referenced by console_drv_print_signed(), console_drv_print_unsigned(), and console_vprintf().

long printf_conversion::d

Signed integer argument.

Definition at line 93 of file console.c.

Referenced by console_drv_print_signed(), and console_vprintf().

double printf_conversion::f

Floating-point argument.

Definition at line 97 of file console.c.

char printf_conversion::length

Length modifier. This can be 'h', 'l' or 0 (default.)

Definition at line 85 of file console.c.

Referenced by console_vprintf().

int* printf_conversion::n

Argument indicating where to store the result of a n conversion.

Definition at line 106 of file console.c.

Referenced by console_vprintf().

void* printf_conversion::p

Pointer argument.

Definition at line 101 of file console.c.

Referenced by console_vprintf().

char printf_conversion::pad_char

Character to use for padding to specified width

Definition at line 89 of file console.c.

Referenced by console_drv_print_signed(), console_drv_print_unsigned(), and console_vprintf().

int printf_conversion::precision

Minimum precision, or 0 if unspecified.

Definition at line 83 of file console.c.

Referenced by console_vprintf().

const char* printf_conversion::s

String argument.

Definition at line 99 of file console.c.

Referenced by console_vprintf().

char printf_conversion::spec

Conversion specifier.

Definition at line 87 of file console.c.

Referenced by console_drv_print_unsigned(), and console_vprintf().

unsigned long printf_conversion::u

Unsigned integer argument.

Definition at line 95 of file console.c.

Referenced by console_drv_print_unsigned(), and console_vprintf().

int printf_conversion::width

Minimum field width, or 0 if unspecified.

Definition at line 81 of file console.c.

Referenced by console_drv_print_signed(), console_drv_print_unsigned(), and console_vprintf().

The documentation for this struct was generated from the following file:

- drivers/console/console.c